orte/mca/rml/rml_types.h File Reference.TH "orte/mca/rml/rml_types.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/rml/rml_types.h \- Contains the typedefs for the use of the rml. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'include/orte_constants.h'\fP
.br
\fC#include 'util/proc_info.h'\fP
.br
\fC#include <limits.h>\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBORTE_RML_TAG_NS\fP   1"
.br
.ti -1c
.RI "#define \fBORTE_RML_TAG_GPR\fP   2"
.br
.ti -1c
.RI "#define \fBORTE_RML_TAG_GPR_NOTIFY\fP   3"
.br
.ti -1c
.RI "#define \fBORTE_RML_TAG_DAEMON\fP   4"
.br
.ti -1c
.RI "#define \fBORTE_RML_TAG_IOF_SVC\fP   5"
.br
.ti -1c
.RI "#define \fBORTE_RML_TAG_IOF_CLNT\fP   6"
.br
.ti -1c
.RI "#define \fBORTE_RML_TAG_XCAST\fP   7"
.br
.ti -1c
.RI "#define \fBORTE_RML_TAG_RMGR_SVC\fP   8"
.br
.ti -1c
.RI "#define \fBORTE_RML_TAG_RMGR_CLNT\fP   9"
.br
.ti -1c
.RI "#define \fBORTE_RML_TAG_PROBE\fP   10"
.br
.ti -1c
.RI "#define \fBORTE_RML_TAG_DYNAMIC\fP   2000"
.br
.ti -1c
.RI "#define \fBORTE_RML_TAG_MAX\fP   UINT32_MAX"
.br
.ti -1c
.RI "#define \fBORTE_RML_PEEK\fP   0x01"
.br
.RI "\fIflag to oob_recv to allow caller to peek a portion of the next available message w/out removing the message from the queue \fP"
.ti -1c
.RI "#define \fBORTE_RML_TRUNC\fP   0x02"
.br
.RI "\fIflag to oob_recv to return the actual size of the message even if the receive buffer is smaller than the number of bytes available \fP"
.ti -1c
.RI "#define \fBORTE_RML_ALLOC\fP   0x04"
.br
.RI "\fIflag to oob_recv to request the oob to allocate a buffer of the appropriate size for the receive and return the allocated buffer and size in the first element of the iovec array \fP"
.ti -1c
.RI "#define \fBORTE_RML_PERSISTENT\fP   0x08"
.br
.RI "\fIposted non-blocking recv is persistent \fP"
.ti -1c
.RI "#define \fBORTE_RML_NAME_ANY\fP   &orte_rml_name_any"
.br
.RI "\fIThe wildcard for receives from any peer. \fP"
.ti -1c
.RI "#define \fBORTE_RML_NAME_SEED\fP   &orte_rml_name_seed"
.br
.RI "\fIProcess name of seed. \fP"
.ti -1c
.RI "#define \fBORTE_RML_NAME_SELF\fP   orte_process_info.my_name"
.br
.RI "\fIProcess name of self. \fP"
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef uint32_t \fBorte_rml_tag_t\fP"
.br
.RI "\fIConstant tag values for well-known services. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Contains the typedefs for the use of the rml. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
